<template>
    <el-row :gutter="20" class="personPage" v-loading="loading">
      <el-col class="headBlock">
        <el-row>
          <el-col>
            <router-link class="prev-link" :to="{name: 'PersonAllPage'}"><img src="@/assets/arrow-left.svg" class="icon-image" alt=""> Персона</router-link>
          </el-col>
          <el-col :sm="{span:18}">
            <h1 v-if="person_info.people">{{ person_info.people.last_name }} {{ person_info.people.first_name }} {{ person_info.people.patronymic }}</h1>
            <h1 v-if="person_info.company">{{ person_info.company.full_name_comp }}</h1>
            <h1 v-if="person_info.ip">{{ person_info.ip.name_comp_for_cb }}</h1>
            <p class="headText">
              <span class="preBold brown">id</span>
              {{ person_info.id }}
              <span class="typeText" v-for="item in person_info.roles" v-bind:key="item.id">{{ item.name }}</span>
            </p>
          </el-col>
          <el-col :sm="{span:6}" class="text-right">
            <el-button type="primary" class="bigButton" @click="this.$router.push({name: 'EditPerson',params: person_info.id})">Редактировать <img src="@/assets/agreements/edit.svg" class="icon-image" alt=""></el-button>
          </el-col>
        </el-row>
      </el-col>

      <el-col>
        <el-tabs v-model="activeName">
          <el-tab-pane label="Плитки" name="first">
            <ClientFirstStyleComponent :person_info="person_info"></ClientFirstStyleComponent>
          </el-tab-pane>
          <el-tab-pane label="Дерево" name="second">
            <ClientSecondStyleComponent :person_info="person_info"></ClientSecondStyleComponent>
          </el-tab-pane>
        </el-tabs>
      </el-col>
    </el-row>
</template>

<script>
import ClientFirstStyleComponent from "@/views/cabinet-components/clients-components/ClientFirstStyleComponent";
import ClientSecondStyleComponent from "@/views/cabinet-components/clients-components/ClientSecondStyleComponent";
import {GET_PERSON_BY_ID} from "@/store/modules/PersonModule";
export default {
  components:{
    ClientFirstStyleComponent,
    ClientSecondStyleComponent
  },
  data:()=>({
    activeName: 'first',
    loading: true,
    person_info: []
  }),
  methods:{
    async getPersonById(){
      try {
        const data = await this.$store.dispatch(GET_PERSON_BY_ID, this.$route.params.id);
        this.person_info = data.data;
        this.loading = false;
      } catch (e) {
        this.$message.error(e.response.data.error);
      }
    }
  },
  created() {
    this.getPersonById();
  }
}
</script>